<script setup lang="ts">

import type { VoteInformation } from '@/scripts/types'
import VoteBox from '@/components/VoteBox.vue'
import VoteOperatorInfo from '@/components/VoteOperatorInfo.vue'
import { PropType, defineEmits } from 'vue'

defineProps({
  vote: {
    type: Object as PropType<VoteInformation>,
    required: true
  }
})
const emit = defineEmits(['clone'])
</script>

<template>
  <v-sheet rounded class="flex grow justify-between items-center flex-col sm:flex-row p-2 m-4" color="grey-lighten-2">
    <v-row>
      <v-col md="6">
        <vote-box :vote="vote" mode="list-item" class="my-2" />
      </v-col>
      <v-col md="6">
        <vote-operator-info :vote="vote" @clone="() => emit('clone')" />
      </v-col>
    </v-row>
  </v-sheet>
</template>
